--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create an object with the given conditions and default value.
full_name: Sequel::SQL::JoinClause::new
is_singleton: true
name: new
params: (join_type, table, table_alias = nil)
visibility: public
